# 开发日志

## 1.0.8`2027/11/15`

1. 修复扫码报错是导致页面卡死问题。
2. 修复【提货单】提交时有条码已出库导致应用数据未更新的问题。

## 1.0.7`2024/11/8`

1. 扫码报错后必须关掉弹窗才能做下一步操作。

## 1.0.6`2024/11/6`

1. 询问提交订单弹窗显示【取消】按钮。

## 1.0.5`2024/10/31`

1. 调整【提货单】叉数和总数的位置。
2. 将【提货单】`叉数`改名为`叉板数`，将【提货单】`总数`改名为`叉内数`。

## 1.0.4`2024/10/30`

1. 为所有页面的提示消息添加音效。
2. 修复【外协送货扫描】提交时用户内码和仓库内码丢失的问题。

## 1.0.3`2024/10/28`

1. 紧急修复音频播放导致界面卡顿的问题。

## 1.0.2`2024/10/25`

1. 【提货单】在保存或提交订单报错时，更新获取到的订单信息，弹窗显示出错二维码。
2. 新增`voice.js`统一管理音频。
3. 新增`tone.js`统一管理提示音。
4. 新增`message.js`统一管理消息，并增加额外操作。
5. 使用`message.error方法`替换所有报错提示。
6. 增加报错时错误提示音。

## 1.0.1`2024/10/22`

1. 版本更新时报错，增加状态码的显示。
2. app更新地址改为`baseUrl + 服务器返回的Url`形式，目的是解决内外网无法同时更新的问题。

## 1.0.0`2024/10/11`

1. 0.5.20 稳定的正式发布版。

## 0.5.20`2024/10/11`

1. 首页改为两列，放大字体。
2. 优化所有页面，放大字体。
3. 增加正式环境API地址。
4. 菜单【定制入库】改为【OEM入库】。
5. 优化按钮配色，使操作更醒目。
6. 调整输入框placeholder字体大小为32upx。
7. 优化【服务器设置】页面体验效果。

## 0.5.19`2024/10/10`

1. 修复【提货单】保存后不能提交的问题。
2. 优化【提货单】首页体验效果。
3. 修复【入库扫描】手工提交报错问题。
4. 修复【外协入库扫描】数据未清除问题。
5. 修复【外协入库扫描】返回首页时数据未清空问题。
6. 登录成功时记住账号密码。

## 0.5.18`2024/10/10`

1. 优化【入库检验】扫描结果页面体验效果。

## 0.5.17`2024/10/07`

1. 修复注销登录未清除登录信息问题。

## 0.5.16`2024/10/06`

1. 优化【送货单扫描】页面体体验效果。
2. 修复【送货单扫描】查找断码报错的问题。
3. 修复【入库校验】扫码错误问题。
4. 修复【入库校验】查看页面数据未显示问题。
5. 修复【入库校验】首次加载扫描结构页面数据未显示问题。

## 0.5.15`2024/9/29`

1. 扫描功能退出到菜单页面的时候清空数据。
2. 优化【提货单扫描】查看明细页面体验效果。
3. 测试账号：6000088301，60000149，30000003，30000043，60000160
4. 账号密码：123456、1
5. 修复【定制入库】扫码信息未显示的问题。
6. 优化【定制入库】页面体验效果。
7. 优化【入库校验】页面体验效果。
8. 优化【送货单扫描】页面体验效果。

## 0.5.14`2024/9/24`

1. 修复【OEM单总编号多仓位送货单】保存后再提交会报错的问题。
2. 修复【外协送货扫描】表格内容过多时不会出现滚动条的问题。
3. 修复【外协送货扫描】提交时的数据格式错误问题。

## 0.5.13`2024/9/14`

1. 【OEM单总编号多仓位送货单】条码数据填写库位名称。
2. 修复【OEM单总编号多仓位送货单】保存、提交后当前库位信息丢失问题。
3. 修复【OEM单总编号多仓位送货单】转移仓位错误的问题。
4. 修复【OEM单总编号多仓位送货单】提交后未清空订单问题。

## 0.5.12`2024/9/14`

1. 修复【OEM单总编号多仓位送货单】表格中没有数据时，清空表格勾选方法报错问题。
2. 修复【OEM单总编号多仓位送货单】扫码后数量计算不准确的问题。
3. 在【OEM单总编号多仓位送货单】扫码完后提示【数量已够】。
4. 【OEM单总编号多仓位送货单】增加无效条码的判断。
5. 完善【整车】扫码逻辑。
6. 重写扫码辅助类，修复重复注册扫码事件问题。
7. 【OEM单总编号多仓位送货单】条码数据填写仓位编码。
8. 【OEM单总编号多仓位送货单】条码数据填写条码状态。

## 0.5.11`2024/9/9`

1. 修复【OEM单总编号多仓位送货单】表格勾选错误。

## 0.5.10`2024/9/6`

1. 增加按钮样式，扩展了type，新增了primary、secondary、success、danger、warning、info、light、dark。修改了warn样式，统一为warning。

## 0.5.9`2024/9/5`

1. 修复【OEM单总编号多仓位送货单】明细扫码错误。

## 0.5.7`2024/9/5`

1. 优化【OEM单总编号多仓位送货单】表格显示。

## 0.5.6`2024/9/5`

1. 修复版本更新模块，版本检查出错的问题。
2. 修复OEM单无法扫码获取的问题。

## 0.5.5`2024/9/5`

1. 基本完成【OEM单总编号多仓位送货单】开发。

## 0.5.0`2024/8/16`

1. 开发【OEM单总编号多仓位送货单】。
2. 开发【整车/分车】扫码。

## 0.4.14`2024/8/15`

1. 更新功能页面返回主页时的提示内容。

## 0.4.13`2024/8/15`

1. 新增 DevLogs.md 日子文件
2. 修复提货单页面获取 SystemUserId 出错的问题。
3. 修复外协入库页面获取 SystemUserId 出错的问题。
4. 优化应用更新体验，取消应用下载完成后的安装提示。